Importing Lot Controlled Items from Transaction Open Interface Fails with "The value of Expiration date is required" (Doc ID 556073.1)

Last updated on MARCH 14, 2016

Applies to:

Oracle Inventory Management - Version: 12.0.4 to 12.0.5 - Release: 12 to 12
Information in this document applies to any platform.

Symptoms

On 12.0.4 in Production:
Importing lot controlled items through the Transaction Open Interface (using MTL_TRANSACTION_INTERFACE, MTL_TRANSACTION_LOTS_INTERFACE) fails with the following error in the inventory transaction worker log file, even though the lot expiration date was provided.

-- Error
The value of Expiration date is required.

-- Steps
1. Insert transaction interface records into MTL_TRANSACTIONS_INTERFACE and
MTL_TRANSACTION_LOTS_INTERFACE.
2. Confirm the lot_expiration_date is entered in MTL_TRANSACTION_LOTS_INTERFACE.
3. Run "Process transaction interface" from the Interface managers form.
4. The Inventory transaction worker ends with the error.
5. Check interface and see the expiration date is NOW missing.


Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms